package com.mindoo.ec09.example5.ca;

/**
 * Extension of PCSBean with predefined methods for some useful viewpart properties inside
 * a Composite Application
 */
public class ViewBean extends PCSBean {
	//Some useful internal fields/IDs
	private String	m_PartName;
	private String	m_ContentDescription;
	private String m_applicationGUID;
	private String m_requestUrl;
	private String m_portletwindowid;
	private String m_perspective;

	public ViewBean() {
		super();
		m_ContentDescription="";
		m_PartName="";
		m_applicationGUID="";
		m_requestUrl="";
		m_portletwindowid="";
		m_perspective="";
	}

	public String getContentDescription() {
		return m_ContentDescription;
	}
	public void setContentDescription(String contentDescription) {
		queuePropertyChange("contentDescription", m_ContentDescription, contentDescription);
		m_ContentDescription = contentDescription;
		firePropertyChange();
	}
	public String getPartName() {
		return m_PartName;
	}
	public void setPartName(String partName) {
		queuePropertyChange("partName", m_PartName, partName);
		m_PartName = partName;
		firePropertyChange();
	}

	public void setApplicationGUID(String data) {
		queuePropertyChange("applicationGUID", m_applicationGUID, data);
		m_applicationGUID=data;
		firePropertyChange();
	}

	public String getApplicationGUID() {
		return m_applicationGUID;
	}

	public String getPortletwindowid() {
		return m_portletwindowid;
	}

	public void setRequestUrl(String data) {
		queuePropertyChange("requestUrl", m_requestUrl, data);
		m_requestUrl=data;
		firePropertyChange();
	}

	public void setPortletwindowid(String data) {
		queuePropertyChange("portletwindowid", m_portletwindowid, data);
		m_portletwindowid=data;
		firePropertyChange();
	}

	public String getPerspective() {
		return m_perspective;
	}

	public void setPerspective(String data) {
		queuePropertyChange("perspective", m_perspective, data);
		m_perspective=data;
		firePropertyChange();
	}
}
